module FractionLife
	
	##
	# <tt>generate</tt> is FractionLife's only method. It returns a random
	# integer as described above.
	# 
	# If the <tt>odds</tt> param is given, that value is used to indicate the
	# probability of each iteration returning a value. So, for example, this
	# call:
	# 
	#     FractionLife.generate(0.75)
	#
	# has a .75 chance of returning 1.
	
	def self.generate(odds=0.5)
		rv = 1
		
		# check random value
		while rand() > odds
			rv += 1
		end
		
		# return
		return rv
	end
end
